<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//分组控制器
class GroupAction extends CommonAction{
	private $group;
		//初始化成员
	public function __construct(){
		parent::__construct();
		$this->group = new GroupModel();

	}
		//检测数据是否合法
	public function check($post){
		if(!val::check($post['groname'])){
			$this->msg('分组名称不能为空');
			return false;
		}

		if(!val::check($post['info'])){
			$this->msg('分组描述不能为空');
			return false;
		}

		return $post;
	}
		//检测分组
	public function checkname($post){
		if($this->group->checkname($post['groname'])){
			$this->msg('该分组已存在，请重新添加');
			return false;
		}

		return $post;
	}
		//输出分组内容
	public function index(){
		$this->assign("gro", $this->group->all_gro());
		$this->display();
	}
		//对分组进行修改
	public function mod(){
		if(isset($_GET['id']) && $_GET['id'] !=1){
			$gro = $this->group->gro_one($_GET['id']);
		  	if(!$gro)
				$this->msg("该分组不存在，或者已经被删除");
		}else{
			$this->msg('非法操作');
		}

		if($_GET['id'] == $_SESSION['gid']){
			$this->msg('不能对自己所在的分组进行修改');
		}
		
		$this->assign("gro", $gro);
		$this->display();
	}
		//添加分组
	public function add(){
		if(isset($_POST['sub'])){
			if($this->check($_POST)){
				if($this->checkname($_POST)){
					if($this->group->insert($_POST)){
						$this->msg("添加分组成功");
					}else{
						$this->msg("数据保持原样");
					}
				}
			}else{
				$this->msg("添加分组失败");
			}
		}

		$this->display();
	}
		//修改分组
	public function update(){
		if(isset($_POST['sub'])){
			if($this->check($_POST)){
				if($this->group->update($_POST)){
					$this->msg('分组修改成功');
				}else{
					$this->msg('数据保持原样');
				}
			}else{
				$this->msg('分组修改失败');
			}
		}
	}
		//删除分组
	public function del(){
		if(isset($_GET['id'])){
			if(($_GET['id'] == 1) || ($_GET['id'] == 2)){
				$this->msg('该分组不允许删除');
			}else{
				if($this->group->delete($_GET['id'])){
					$this->msg('分组删除成功');
				}else{
					$this->msg('分组删除失败');
				}
			}
		}
	}	
}

?>